# Uses of Class
org.stianloader.picoresolve.version.MavenVersion

Packages that use MavenVersion
Package
Description
org.stianloader.picoresolve
org.stianloader.picoresolve.internal.meta
Package containing internal classes related to the maven-metadata.xml suite of files.
org.stianloader.picoresolve.version

## Uses of MavenVersion in org.stianloader.picoresolve

Methods in org.stianloader.picoresolve that return MavenVersion
Modifier and Type
Method
Description
`@NotNull MavenVersion`
GAV.`version()`
Constructors in org.stianloader.picoresolve with parameters of type MavenVersion
Modifier
Constructor
Description
``
`GAV(@NotNull String group, @NotNull String artifact, @NotNull MavenVersion version)`

## Uses of MavenVersion in org.stianloader.picoresolve.internal.meta

Fields in org.stianloader.picoresolve.internal.meta declared as MavenVersion
Modifier and Type
Field
Description
`MavenVersion`
VersionCatalogue.`latestVersion`
`MavenVersion`
VersionCatalogue.`releaseVersion`
Fields in org.stianloader.picoresolve.internal.meta with type parameters of type MavenVersion
Modifier and Type
Field
Description
`final @NotNull List<@NotNull MavenVersion>`
VersionCatalogue.`releaseVersions`
Method parameters in org.stianloader.picoresolve.internal.meta with type arguments of type MavenVersion
Modifier and Type
Method
Description
`static @NotNull VersionCatalogue`
VersionCatalogue.`synthesize(List<@NotNull MavenVersion> guessedVersions)`

## Uses of MavenVersion in org.stianloader.picoresolve.version

Methods in org.stianloader.picoresolve.version that return MavenVersion
Modifier and Type
Method
Description
`@Nullable MavenVersion`
VersionRange.`getRecommended()`
Obtains the newest ("highest") recommended version that is within the version range.
`static @NotNull MavenVersion`
MavenVersion.`parse(@NotNull String string)`
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion)`
Deprecated.
Use `VersionRange.selectFrom(Collection, MavenVersion, VersionSelectionPreference)` instead.
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion, @NotNull VersionSelectionPreference preference)`
Select the `MavenVersion` that best applies to this `VersionRange`, making use of a list of all available versions (`knownAvailable`) using the provided `VersionSelectionPreference`.
Methods in org.stianloader.picoresolve.version that return types with arguments of type MavenVersion
Modifier and Type
Method
Description
`List<@NotNull MavenVersion>`
VersionRange.`getRecommendedVersions()`
Methods in org.stianloader.picoresolve.version with parameters of type MavenVersion
Modifier and Type
Method
Description
`int`
MavenVersion.`compareTo(MavenVersion o)`
`boolean`
VersionRange.`containsVersion(@NotNull MavenVersion version)`
`boolean`
MavenVersion.`isNewerThan(@NotNull MavenVersion older)`
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion)`
Deprecated.
Use `VersionRange.selectFrom(Collection, MavenVersion, VersionSelectionPreference)` instead.
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion, @NotNull VersionSelectionPreference preference)`
Select the `MavenVersion` that best applies to this `VersionRange`, making use of a list of all available versions (`knownAvailable`) using the provided `VersionSelectionPreference`.
Method parameters in org.stianloader.picoresolve.version with type arguments of type MavenVersion
Modifier and Type
Method
Description
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion)`
Deprecated.
Use `VersionRange.selectFrom(Collection, MavenVersion, VersionSelectionPreference)` instead.
`@Nullable MavenVersion`
VersionRange.`selectFrom(@Nullable Collection<@NotNull MavenVersion> knownAvailable, @Nullable MavenVersion releaseVersion, @NotNull VersionSelectionPreference preference)`
Select the `MavenVersion` that best applies to this `VersionRange`, making use of a list of all available versions (`knownAvailable`) using the provided `VersionSelectionPreference`.